EDIT - bug #6304

Deleting of Person used as user does not work
12/23/2016 03:44 PM - Andreas Muller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal Found in Version: Release 4.4
Description

A person that is referenced from the user class can not be deleted via bulk editor.
No exception is thrown but the user reappears after searching for it.

This was observed in the Salvador DB.

Associated revisions

Revision d1428f78 - 02/02/2017 02:10 PM - Katja Luther
fix #6304: before deleting a person in bulkeditor check with isDeletable

History

#1 - 12/23/2016 03:46 PM - Andreas Miiller
- Description updated

#2 - 01/03/2017 10:55 AM - Katja Luther
- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Release 4.5

The isDeletable Method needs to be called.

#3 - 01/19/2017 01:32 PM - Andreas Miuller

- Target version changed from Release 4.5 to Release 4.6

#4 - 02/02/2017 02:10 PM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|d1428f78d00bd439e471e03c5a13a68763818c29.

#5 - 02/02/2017 02:11 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 50 to 0

#6 - 02/16/2017 09:33 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

#7 - 07/18/2017 12:50 AM - Andreas Miiller
- % Done changed from 0 to 100
